
local StoneGateV5 = ...


-- Apply building asset processor
StoneGateV5:registerAssetProcessor("models/hoardings/hoardingS2.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
StoneGateV5:registerAssetProcessor("models/hoardings/extensionS2.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

function registerHoardingPart(_nameSize, _nameFbx, _nameAsset)
    StoneGateV5:registerAssetId("models/hoardings/" .. _nameSize .. ".fbx/Prefab/hoarding/step_5_" .. _nameFbx .. "Part", "STONE_GATE_V5_" .. _nameAsset .. "_PREFAB")

-- Register the stone gate set decoration rampart part
    StoneGateV5:register({
	DataType = "BUILDING_PART",
	Id = "STONE_GATE_V5_" .. _nameAsset .. "_PART",
	Name = "STONE_GATE_V5_" .. _nameAsset .. "_NAME",
	Description = "STONE_GATE_V5_" .. _nameAsset .. "_DESC",
	Category = "EXTENSION",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "STONE_GATE_V5_" .. _nameAsset .. "_PREFAB"
	},
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = { -- List of RESOURCE_QUANTITY_PAIR
			{ Resource = "STONE", Quantity = 2 }
		}
	}
    })

    StoneGateV5:registerPrefabComponent("models/hoardings/" .. _nameSize .. ".fbx/Prefab/hoarding/step_5_" .. _nameFbx .. "Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR", -- Snaps the decoration only on minor attach nodes (here only on the roofs)
	BuildingZone = { 2, 8 }
    })
end

registerHoardingPart( "hoardingS2", "Hoarding_S2L0R0", "HOARDING_S2L0R0" )
registerHoardingPart( "hoardingS2", "Hoarding_S2L0R1", "HOARDING_S2L0R1" )
registerHoardingPart( "hoardingS2", "Hoarding_S2L1R0", "HOARDING_S2L1R0" )
registerHoardingPart( "hoardingS2", "Hoarding_S2L1R1", "HOARDING_S2L1R1" )
registerHoardingPart( "extensionS2", "Extension_S2L0R0", "EXTENSION_S2L0R0" )
registerHoardingPart( "extensionS2", "Extension_S2L0R1", "EXTENSION_S2L0R1" )
registerHoardingPart( "extensionS2", "Extension_S2L1R0", "EXTENSION_S2L1R0" )
registerHoardingPart( "extensionS2", "Extension_S2L1R1", "EXTENSION_S2L1R1" )
registerHoardingPart( "extensionS2", "Extension_S2L2R2", "EXTENSION_S2L2R2" )
